//
//  EventManager.swift
//  RWPS
//
//  Created by Mic Pringle on 15/12/2014.
//  Copyright (c) 2014 Razeware LLC. All rights reserved.
//

import Foundation
import EventKit

class EventManager {
  
  func addEventForParcel(parcel: Parcel) {
    let store = EKEventStore()
    let event = EKEvent(eventStore: store)
    event.allDay = true
    event.calendar = store.defaultCalendarForNewEvents
    event.startDate = parcel.deliveryDate
    event.endDate = parcel.deliveryDate
    event.title = "Delivery of \(parcel.itemName) from \(parcel.supplierName)"
    store.saveEvent(event, span: EKSpanThisEvent, error: nil)
  }
  
  func isAuthorised() -> Bool {
    return EKEventStore.authorizationStatusForEntityType(EKEntityTypeEvent) == EKAuthorizationStatus.Authorized
  }
  
  func requestAuthorisation() {
    let store = EKEventStore()
    store.requestAccessToEntityType(EKEntityTypeEvent, completion: { _ = $0 })
  }
  
  func shouldRequestAuthorisation() -> Bool {
    return EKEventStore.authorizationStatusForEntityType(EKEntityTypeEvent) == EKAuthorizationStatus.NotDetermined
  }
  
}
