//
//  ParcelCell.swift
//  RWPS
//
//  Created by Mic Pringle on 04/12/2014.
//  Copyright (c) 2014 Razeware LLC. All rights reserved.
//

import UIKit

class ParcelCell: UITableViewCell {
  
  @IBOutlet weak var itemNameLabel: UILabel!
  @IBOutlet weak var statusLabel: UILabel!
  @IBOutlet weak var daysRemainingLabel: UILabel!
  @IBOutlet weak var daysLabel: UILabel!
  @IBOutlet weak var deliveryDateLabel: UILabel!
  @IBOutlet weak var deliveredByLabel: UILabel!
  
  private lazy var dateFormatter: NSDateFormatter = {
    let formatter = NSDateFormatter()
    formatter.dateFormat = "d MMMM"
    return formatter
  }()
  
  // MARK: ParcelCell
  
  func configureForParcel(parcel: Parcel) {
    let numberOfDaysRemaining: Int = parcel.daysRemainingBeforeDelivery()
    itemNameLabel.text = parcel.itemName
    statusLabel.text = parcel.status
    daysRemainingLabel.text = "\(numberOfDaysRemaining)"
    daysLabel.text = numberOfDaysRemaining == 1 ? "DAY" : "DAYS"
    deliveryDateLabel.text = dateFormatter.stringFromDate(parcel.deliveryDate)
  }
  
}
